DEL
Remove device token for user
Removes the specified device token from the authenticated user's account. If the token does not belong to the user or does not exist, handles the case accordingly. Used to stop push notifications to a device.
Path Params
-
deviceTokenstring required
Header Params
-
request-idstring
Responses
202
Device token removed
Response Body
object
-
deviceTokenstring required -
bitgoUserIdstring required -
messagestring required
400
Bad request
Response Body
object
Bad request error response
-
namestring enum requiredError codeValidationFailedIllegalArgumentBadRequestDataIntegrityErrorNotImplementedErrorRETRIGGER_RATE_LIMITEDUSER_CREATION_FAILEDUSER_FALLBACK_FAILED -
errorstring requiredHuman-readable error message -
statusinteger enum int32 requiredHTTP status code400
401
Device token does not belong to user
Response Body
object
Unauthorized error response
-
namestring enum requiredError codeUnauthorized -
errorstring requiredHuman-readable error message -
statusinteger enum int32 requiredHTTP status code401
500
Unexpected error
Response Body
object
Internal server error response
-
namestring enum requiredError codeUnexpectedErrorThirdPartyErrorDatabaseErrorUSER_FALLBACK_TIMEOUT -
errorstring requiredHuman-readable error message -
statusinteger enum int32 requiredHTTP status code500